Athena
ObjectsUpdate

Update object metadata headers and/or ACL

Updates object metadata headers and/or ACL on the underlying object store. When `X-Organization-Id` is present, Athena also persists the mutation into `athena.files`, `athena.audit_log_files`, and `athena.event_log_files` on the Athena client selected by `X-Athena-Client`.

POST
/storage/objects/update

Header Parameters

X-Athena-Client?string

Required when X-Organization-Id is present and Athena should persist the update into the managed storage catalog for that client.

Request Body

application/json

endpoint*string

S3-compatible endpoint URL or host

region*string
access_key_id*string
secret_key*string
bucket*string
key*string
acl?|

Optional canned ACL. Supported values: private, public-read, public-read-write, authenticated-read, aws-exec-read, bucket-owner-read, bucket-owner-full-control.

content_type?|
cache_control?|
content_disposition?|
content_encoding?|
content_language?|
metadata?|

Response Body

application/json

curl -X POST "https://athena-cluster.com/storage/objects/update" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "string",    "region": "string",    "access_key_id": "string",    "secret_key": "string",    "bucket": "string",    "key": "string"  }'
Empty
Empty
{
  "status": "error",
  "message": "string",
  "error": "string"
}